﻿using System;
using System.Drawing;
using System.Windows.Forms;
using MeOCRLib;

namespace CSharpEx_01
{
    public partial class frmCSharpEx_01 : Form
    {
        public frmCSharpEx_01()
        {
            InitializeComponent();
        }

        private void frmCSharpEx_01_Load(object sender, EventArgs e)
        {
        //Declare a new instance of engine
        Puma ocrPuma = new Puma();

        //Declare a few needed varaibles
        Image imgPuma;
        string rText;
        string FileName = System.IO.Path.GetDirectoryName(Environment.GetCommandLineArgs()[0]) + @"\Sample_02.tif";

        //Initialize the engine
        ocrPuma.Init();
        //Load the image
        imgPuma = Image.FromFile(FileName);
        //Set the language
        ocrPuma.Language = 0;      // 0 for English       
        //Set output format
        ocrPuma.OutputFormat = 2;  // Formatted text
        //Recognize the image
        rText = ocrPuma.Recognize(imgPuma);
        //Close the engine
        ocrPuma.Close();
        }
    }
}
